import java.util.logging.LogRecord;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

public class CustomerFormatter extends SimpleFormatter {
    private static final Logger logger = Logger.getLogger(CustomerFormatter.class.getName());
    private static ThreadLocal<Boolean> isLogging = new ThreadLocal<Boolean>();

    public CustomerFormatter() {
    }

    @Override
    public String format(LogRecord r) {
        if (isLogging.get() == null || !isLogging.get()) {
            isLogging.set(true);
            logger.info(Thread.currentThread().getName()
                    + " in CustomerFormatter.");
            isLogging.set(false);
        }

        return "CustomerFormatter:" + super.format(r);
    }

}
